Bug 147645 - audio/squeezeboxserver should reopen logs on SIGHUP
Summary: audio/squeezeboxserver should reopen logs on SIGHUP
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-07 10:50 UTC by Christopher Key
Modified: 2012-01-08 01:30 UTC (History)
0 users

See Also:


Attachments
patch-Slim-Utils-Log.pm (813 bytes, text/plain)
2010-06-07 10:50 UTC, Christopher Key
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Key 2010-06-07 10:50:02 UTC
Currently Squeezebox Server reopens its log files upon receiving SIGUSR1, whereas the newsyslog.conf entry causes SIGHUP to be sent.  As Squeezebox Server can be verbose in its logging, the lack of log rotation can lead to /var becoming full quickly.  Changing Squeezebox Server to respond to SIGHUP (rather than changing the signal sent by newsyslog) seems the most appropriate solution, maintaining compatibilty with FreeBSD standards.  It also avoids the need for the install script to correct an existing entry in newsyslog.conf.

Fix: The attached patch implements the above changes.
Comment 1 Edwin Groothuis freebsd_committer 2010-06-07 10:50:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->brooks

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2011-11-06 16:04:40 UTC
State Changed
From-To: open->feedback

any news here
Comment 3 Brooks Davis freebsd_committer 2011-12-05 18:42:15 UTC
Responsible Changed
From-To: brooks->freebsd-ports-bugs

Looks like a simple enough fix but I don't have the energy to deal with 
getting it fixed upstream and I've dropped maintainership.
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2011-12-25 17:27:55 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 5 Michael Scheidell freebsd_committer 2012-01-06 22:10:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 6 dfilter service freebsd_committer 2012-01-08 01:26:21 UTC
scheidell    2012-01-08 01:26:12 UTC

  FreeBSD ports repository

  Modified files:
    audio/squeezeboxserver Makefile pkg-plist 
  Added files:
    audio/squeezeboxserver/files patch-Slim-Utils-Log.pm 
  Log:
  - reopen logs on SIGHUP
  
  PR:             ports/147645
  Submitted by:   Christopher Key <cjk32@cam.ac.uk>
  Approved by:    maintainer (timeout, 3 years) gabor (mentor)
  
  Revision  Changes    Path
  1.86      +3 -2      ports/audio/squeezeboxserver/Makefile
  1.1       +20 -0     ports/audio/squeezeboxserver/files/patch-Slim-Utils-Log.pm (new)
  1.26      +4 -4      ports/audio/squeezeboxserver/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Michael Scheidell freebsd_committer 2012-01-08 01:26:32 UTC
State Changed
From-To: open->closed

Committed with changes, Thanks.